ion-grid,
ion-searchbar,
ion-list {
  padding: 0;
  margin: 0;
}

.minor-margin-top {
  margin-top: var(--spacing-minor);
}

* {
  color: var(--Main-Foreground);
}

ion-searchbar {
  --border-radius: 6250rem;
  --box-shadow: 0px 0px 0px 2px var(--Main-Foreground);
  --background: transparent;
  --placeholder-color: currentColor;
  --icon-color: currentColor;
  --placeholder-opacity: 1;
  overflow: visible;
}

ion-searchbar.searchbar-has-focus {
  --placeholder-opacity: 0.4;
}

.module-header {
  color: var(--Secondary-Foreground);
  font-size: 0.9375rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.no-results-message {
  text-align: center;
  font-size: 0.9375rem;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.last-searches {
  font-size: 24px;
  font-weight: 600;
}

.container-search-keywords {
  border: unset;
  background: unset;
  display: flex;
  align-items: center;
}

.search-term-container {
  display: flex;
  align-items: center;
  width: 100%;
}

.search-keyword-button {
  display: flex;
  align-items: center;
  background: none;
  border: none;
  cursor: pointer;
  padding: 0;
  flex-grow: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}

.search-keywords {
  margin-left: 5px;
  -webkit-line-clamp: 1;
  overflow: hidden;
  text-overflow: ellipsis;
  font-size: 1rem;
  font-weight: 600;
}

.delete-button {
  background: transparent;
  position: relative;
  border: none;
  display: flex;
}

.delete-button::before {
  content: '';
  position: absolute;
  top: -0.25rem;
  right: -0.25rem;
  bottom: -0.25rem;
  left: -0.25rem;
  background: transparent;
}
